PharData::setAlias
Phar::setMetadata
PharData
PHP Manual

# PharData::setDefaultStub

dummy function (Phar::setDefaultStub is not valid for PharData)

### Description

bool PharData::setDefaultStub ([ string `$index` [, string `$webindex` ]] )

Non-executable tar/zip archives cannot have a stub, so this method simply throws an exception.

### Parameters

`index`

  Relative path within the phar archive to run if accessed on the command-line

`webindex`

  Relative path within the phar archive to run if accessed through a web browser

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Throws PharException on all method calls

### See Also

- Phar::setDefaultStub